---
title: "ceil"
subtitle: "Function in std::math"
excerpt: "Compute the smallest integer greater than or equal to a number."
layout: manual
---

Compute the smallest integer greater than or equal to a number.

```kcl
ceil(@input: number): number
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `input` | [`number`](/docs/kcl-std/types/std-types-number) | A number. | Yes |

### Returns

[`number`](/docs/kcl-std/types/std-types-number) - A number.


### Examples

```kcl
sketch001 = startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> line(endAbsolute = [12, 10])
  |> line(end = [ceil(7.02986), 0])
  |> yLine(endAbsolute = 0)
  |> close()

extrude001 = extrude(sketch001, length = 5)
```

![Rendered example of ceil 0](data:image/png;base64,[encoded data, 79544 characters])


